/**
* Control Panel App
* Implementing an App to manage system app
*/
var ControlPanelApp = ControlPanelApp || {};  //Define Control Panel App namespace.
/**
*Constructor UNAS App
*/
ControlPanelApp.App = function () {
    this.id = 'Control Panel';
    this.name = 'Control Panel';
    this.version = '6.0.9';
    this.active = false;
    this.menuIcon = '/apps/controlpanel/images/logo.png?v=6.0.9&';
    this.shortcutIcon = '/apps/controlpanel/images/logo.png?v=6.0.9&';
    var self = this;
    this.ControlPanelWindow = function () { //create app window
     self.window=new MUI.Window({
            id: 'ControlPanelWindow',
            title: UNAS._('Control Panel'),
            icon: '/apps/controlpanel/images/logo_small.png?v=6.0.9&',
            width: 1100,
            height: 550,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [1000, 2000], 'y': [400, 3000] },
            contentURL: '/apps/controlpanel/controlpanel_main.html?v=6.0.9&',
        });
    };
    this.ControlPanelUninstall = function () {
        UNAS.RemoveDesktopShortcut('Control Panel');
        //UNAS.RemoveMenu('Control Panel');
        UNAS.RemoveAppFromGroups('Control Panel', 'Help');
        UNAS.RemoveAppFromApps('Control Panel');
    }
    //new UNAS.Menu('UNAS_App_Accessories_Menu', 'controlpanelAppMenu', this.menuIcon, UNAS._(this.name), '', this.ControlPanelWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Control Panel', this.ControlPanelWindow);
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Control Panel', UNAS._('Control Panel')); //translate menu
        UNAS.SetShortcutTitle('Control Panel', UNAS._('Control Panel')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('ControlPanelWindow', UNAS._('Control Panel'));
        }
    };
    UNAS.LoadTranslation('/apps/controlpanel/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.ControlPanelWindow, this.ControlPanelUninstall);
    // document.getElementById(UNAS_SUB_CONTROLPANEL).addEventListener('click',this.ControlPanelWindow);
};
new ControlPanelApp.App();
